<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfGraphics (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfGraphics (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfGraphics.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfSLImageRenderer.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/draw/HwmfGraphics.html" target="_top">Frames</a></li>
        <li><a href="HwmfGraphics.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.draw</div>
    <h2 title="Class HwmfGraphics" class="title">Class HwmfGraphics</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwmf.draw.HwmfGraphics</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HwmfGraphics</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#HwmfGraphics-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">HwmfGraphics</a></span>(java.awt.Graphics2D&nbsp;graphicsCtx,
                                    java.awt.geom.Rectangle2D&nbsp;bbox)</code>
                                    <div class="block">Initialize a graphics context for wmf rendering</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#addObjectTableEntry-org.apache.poi.hwmf.record.HwmfObjectTableEntry-">addObjectTableEntry</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                        title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a>&nbsp;entry)</code>
                                    <div class="block">Adds an record of type <a
                                            href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                            title="interface in org.apache.poi.hwmf.record"><code>HwmfObjectTableEntry</code></a>
                                        to the object table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#applyObjectTableEntry-int-">applyObjectTableEntry</a></span>(int&nbsp;index)</code>
                                    <div class="block">Applies the object table entry</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#draw-java.awt.Shape-">draw</a></span>(java.awt.Shape&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#drawString-byte:A-java.awt.geom.Rectangle2D-">drawString</a></span>(byte[]&nbsp;text,
                                    java.awt.geom.Rectangle2D&nbsp;bounds)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#drawString-byte:A-java.awt.geom.Rectangle2D-int:A-">drawString</a></span>(byte[]&nbsp;text,
                                    java.awt.geom.Rectangle2D&nbsp;bounds,
                                    int[]&nbsp;dx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#fill-java.awt.Shape-">fill</a></span>(java.awt.Shape&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getFill--">getFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getHatchedFill--">getHatchedFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getPatternPaint--">getPatternPaint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfDrawProperties</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getProperties--">getProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected java.awt.Paint</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getSolidFill--">getSolidFill</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.BasicStroke</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#getStroke--">getStroke</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#restoreProperties-int-">restoreProperties</a></span>(int&nbsp;index)</code>
                                    <div class="block">Restores the properties from the stack</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#saveProperties--">saveProperties</a></span>()</code>
                                    <div class="block">Saves the current properties to the stack</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#unsetObjectTableEntry-int-">unsetObjectTableEntry</a></span>(int&nbsp;index)</code>
                                    <div class="block">Unsets (deletes) the object table entry for further usage

                                        When a META_DELETEOBJECT record (section 2.3.4.7) is received that specifies
                                        this
                                        object's particular index, the object's resources are released, the binding to
                                        its
                                        WMF Object Table index is ended, and the index value is returned to the pool of
                                        available indexes.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html#updateWindowMapMode--">updateWindowMapMode</a></span>()</code>
                                    <div class="block">After setting various window and viewport related properties,
                                        the underlying graphics context needs to be adapted.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HwmfGraphics-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HwmfGraphics</h4>
                                <pre>public&nbsp;HwmfGraphics(java.awt.Graphics2D&nbsp;graphicsCtx,
                    java.awt.geom.Rectangle2D&nbsp;bbox)</pre>
                                <div class="block">Initialize a graphics context for wmf rendering</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphicsCtx</code> - the graphics context to delegate drawing calls</dd>
                                    <dd><code>bbox</code> - the bounding box of the wmf (taken from the placeable
                                        header)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfDrawProperties</a>&nbsp;getProperties()</pre>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Shape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>public&nbsp;void&nbsp;draw(java.awt.Shape&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="fill-java.awt.Shape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fill</h4>
                                <pre>public&nbsp;void&nbsp;fill(java.awt.Shape&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getStroke--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStroke</h4>
                                <pre>protected&nbsp;java.awt.BasicStroke&nbsp;getStroke()</pre>
                            </li>
                        </ul>
                        <a name="getFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFill</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getFill()</pre>
                            </li>
                        </ul>
                        <a name="getSolidFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSolidFill</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getSolidFill()</pre>
                            </li>
                        </ul>
                        <a name="getHatchedFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHatchedFill</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getHatchedFill()</pre>
                            </li>
                        </ul>
                        <a name="getPatternPaint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPatternPaint</h4>
                                <pre>protected&nbsp;java.awt.Paint&nbsp;getPatternPaint()</pre>
                            </li>
                        </ul>
                        <a name="addObjectTableEntry-org.apache.poi.hwmf.record.HwmfObjectTableEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addObjectTableEntry</h4>
                                <pre>public&nbsp;void&nbsp;addObjectTableEntry(<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                        title="interface in org.apache.poi.hwmf.record">HwmfObjectTableEntry</a>&nbsp;entry)</pre>
                                <div class="block">Adds an record of type <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html"
                                        title="interface in org.apache.poi.hwmf.record"><code>HwmfObjectTableEntry</code></a>
                                    to the object table.

                                    Every object is assigned the lowest available index-that is, the smallest
                                    numerical value-in the WMF Object Table. This binding happens at object creation,
                                    not when the object is used.
                                    Moreover, each object table index uniquely refers to an object.
                                    Indexes in the WMF Object Table always start at 0.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>entry</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyObjectTableEntry-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyObjectTableEntry</h4>
                                <pre>public&nbsp;void&nbsp;applyObjectTableEntry(int&nbsp;index)</pre>
                                <div class="block">Applies the object table entry</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the object table entry (0-based)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of range
                                    </dd>
                                    <dd><code>java.util.NoSuchElementException</code> - if the entry was deleted before
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="unsetObjectTableEntry-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unsetObjectTableEntry</h4>
                                <pre>public&nbsp;void&nbsp;unsetObjectTableEntry(int&nbsp;index)</pre>
                                <div class="block">Unsets (deletes) the object table entry for further usage

                                    When a META_DELETEOBJECT record (section 2.3.4.7) is received that specifies this
                                    object's particular index, the object's resources are released, the binding to its
                                    WMF Object Table index is ended, and the index value is returned to the pool of
                                    available indexes. The index will be reused, if needed, by a subsequent object
                                    created by another Object Record Type record.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index (0-based)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="saveProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>saveProperties</h4>
                                <pre>public&nbsp;void&nbsp;saveProperties()</pre>
                                <div class="block">Saves the current properties to the stack</div>
                            </li>
                        </ul>
                        <a name="restoreProperties-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>restoreProperties</h4>
                                <pre>public&nbsp;void&nbsp;restoreProperties(int&nbsp;index)</pre>
                                <div class="block">Restores the properties from the stack</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - if the index is positive, the n-th element from the start
                                        is activated.
                                        If the index is negative, the n-th previous element relative to the current
                                        properties element is activated.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="updateWindowMapMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>updateWindowMapMode</h4>
                                <pre>public&nbsp;void&nbsp;updateWindowMapMode()</pre>
                                <div class="block">After setting various window and viewport related properties,
                                    the underlying graphics context needs to be adapted.
                                    This methods gathers and sets the corresponding graphics transformations.
                                </div>
                            </li>
                        </ul>
                        <a name="drawString-byte:A-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawString</h4>
                                <pre>public&nbsp;void&nbsp;drawString(byte[]&nbsp;text,
                       java.awt.geom.Rectangle2D&nbsp;bounds)</pre>
                            </li>
                        </ul>
                        <a name="drawString-byte:A-java.awt.geom.Rectangle2D-int:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>drawString</h4>
                                <pre>public&nbsp;void&nbsp;drawString(byte[]&nbsp;text,
                       java.awt.geom.Rectangle2D&nbsp;bounds,
                       int[]&nbsp;dx)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfGraphics.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfDrawProperties.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/draw/HwmfSLImageRenderer.html"
               title="class in org.apache.poi.hwmf.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/draw/HwmfGraphics.html" target="_top">Frames</a></li>
        <li><a href="HwmfGraphics.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
